package cn.com.ctop.crawler.modules.pangolin.service.impl;

import cn.com.ctop.common.module.utils.ResultMapUtils;
import cn.com.ctop.common.module.utils.StatusCode;
import cn.com.ctop.crawler.modules.pangolin.entity.PangolinReportChannelDaily;
import cn.com.ctop.crawler.modules.pangolin.mapper.PangolinReportChannelDailyMapper;
import cn.com.ctop.crawler.modules.pangolin.service.PangolinReportChannelDailyService;
import com.alibaba.fastjson.JSONObject;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.HashMap;
import java.util.List;
import java.util.Map;

@Service
public class PangolinReportChannelDailyServiceImpl extends ServiceImpl<PangolinReportChannelDailyMapper, PangolinReportChannelDaily> implements PangolinReportChannelDailyService {
    @Autowired
    private PangolinReportChannelDailyMapper pangolinReportChannelDailyMapper;

    @Override
    public Map<String, Object> getActivationList(String userId, JSONObject data) {
        Map<String, Object> result = new HashMap<>();
        String startDate = data.getString("startDate");
        String endDate = data.getString("endDate");
        String type = data.getString("type");
        List<PangolinReportChannelDaily> dailyList = pangolinReportChannelDailyMapper.getActivationList(startDate, endDate, userId, type);
        result.put("activationList", dailyList);
        ResultMapUtils.setResultMap(result, StatusCode.COMMON_SUCCESS);
        return result;
    }
}
